org.eclipse.jetty.http

## Class HttpBuffersImpl

- java.lang.Object
- - org.eclipse.jetty.util.component.AbstractLifeCycle
  - - org.eclipse.jetty.http.HttpBuffersImpl

All Implemented Interfaces:
  HttpBuffers, LifeCycle

    public class HttpBuffersImpl
    extends AbstractLifeCycle
    implements HttpBuffers

Abstract Buffer pool. simple unbounded pool of buffers for header, request and response sizes.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`AbstractLifeCycle.AbstractLifeCycleListener`

### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle

`LifeCycle.Listener`

### Field Summary

### Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

### Constructor Summary

Constructors
Constructor and Description
`HttpBuffersImpl()`

### Method Summary

Methods
`protected void` `doStart()`
`protected void` `doStop()`
`int` `getMaxBuffers()`
`Buffers` `getRequestBuffers()`
`int` `getRequestBufferSize()`
`Buffers.Type` `getRequestBufferType()`
`int` `getRequestHeaderSize()`
`Buffers.Type` `getRequestHeaderType()`
`Buffers` `getResponseBuffers()`
`int` `getResponseBufferSize()`
`Buffers.Type` `getResponseBufferType()`
`int` `getResponseHeaderSize()`
`Buffers.Type` `getResponseHeaderType()`
`void` `setMaxBuffers(int maxBuffers)`
`void` `setRequestBuffers(Buffers requestBuffers)`
`void` `setRequestBufferSize(int requestBufferSize)`
`void` `setRequestBufferType(Buffers.Type requestBufferType)`
`void` `setRequestHeaderSize(int requestHeaderSize)`
`void` `setRequestHeaderType(Buffers.Type requestHeaderType)`
`void` `setResponseBuffers(Buffers responseBuffers)`
`void` `setResponseBufferSize(int responseBufferSize)`
`void` `setResponseBufferType(Buffers.Type responseBufferType)`
`void` `setResponseHeaderSize(int responseHeaderSize)`
`void` `setResponseHeaderType(Buffers.Type responseHeaderType)`
`String` `toString()`

### Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`addLifeCycleListener, getState, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HttpBuffersImpl

    public HttpBuffersImpl()

### Method Detail

#### getRequestBufferSize

    public int getRequestBufferSize()

Specified by:
  `getRequestBufferSize` in interface `HttpBuffers`
Returns:
  the requestBufferSize

#### setRequestBufferSize

    public void setRequestBufferSize(int requestBufferSize)

Specified by:
  `setRequestBufferSize` in interface `HttpBuffers`
Parameters:
  `requestBufferSize` - the requestBufferSize to set

#### getRequestHeaderSize

    public int getRequestHeaderSize()

Specified by:
  `getRequestHeaderSize` in interface `HttpBuffers`
Returns:
  the requestHeaderSize

#### setRequestHeaderSize

    public void setRequestHeaderSize(int requestHeaderSize)

Specified by:
  `setRequestHeaderSize` in interface `HttpBuffers`
Parameters:
  `requestHeaderSize` - the requestHeaderSize to set

#### getResponseBufferSize

    public int getResponseBufferSize()

Specified by:
  `getResponseBufferSize` in interface `HttpBuffers`
Returns:
  the responseBufferSize

#### setResponseBufferSize

    public void setResponseBufferSize(int responseBufferSize)

Specified by:
  `setResponseBufferSize` in interface `HttpBuffers`
Parameters:
  `responseBufferSize` - the responseBufferSize to set

#### getResponseHeaderSize

    public int getResponseHeaderSize()

Specified by:
  `getResponseHeaderSize` in interface `HttpBuffers`
Returns:
  the responseHeaderSize

#### setResponseHeaderSize

    public void setResponseHeaderSize(int responseHeaderSize)

Specified by:
  `setResponseHeaderSize` in interface `HttpBuffers`
Parameters:
  `responseHeaderSize` - the responseHeaderSize to set

#### getRequestBufferType

    public Buffers.Type getRequestBufferType()

Specified by:
  `getRequestBufferType` in interface `HttpBuffers`
Returns:
  the requestBufferType

#### setRequestBufferType

    public void setRequestBufferType(Buffers.Type requestBufferType)

Parameters:
  `requestBufferType` - the requestBufferType to set

#### getRequestHeaderType

    public Buffers.Type getRequestHeaderType()

Specified by:
  `getRequestHeaderType` in interface `HttpBuffers`
Returns:
  the requestHeaderType

#### setRequestHeaderType

    public void setRequestHeaderType(Buffers.Type requestHeaderType)

Parameters:
  `requestHeaderType` - the requestHeaderType to set

#### getResponseBufferType

    public Buffers.Type getResponseBufferType()

Specified by:
  `getResponseBufferType` in interface `HttpBuffers`
Returns:
  the responseBufferType

#### setResponseBufferType

    public void setResponseBufferType(Buffers.Type responseBufferType)

Parameters:
  `responseBufferType` - the responseBufferType to set

#### getResponseHeaderType

    public Buffers.Type getResponseHeaderType()

Specified by:
  `getResponseHeaderType` in interface `HttpBuffers`
Returns:
  the responseHeaderType

#### setResponseHeaderType

    public void setResponseHeaderType(Buffers.Type responseHeaderType)

Parameters:
  `responseHeaderType` - the responseHeaderType to set

#### setRequestBuffers

    public void setRequestBuffers(Buffers requestBuffers)

Specified by:
  `setRequestBuffers` in interface `HttpBuffers`
Parameters:
  `requestBuffers` - the requestBuffers to set

#### setResponseBuffers

    public void setResponseBuffers(Buffers responseBuffers)

Specified by:
  `setResponseBuffers` in interface `HttpBuffers`
Parameters:
  `responseBuffers` - the responseBuffers to set

#### doStart

    protected void doStart()
                    throws Exception

Overrides:
  `doStart` in class `AbstractLifeCycle`
Throws:
  `Exception`

#### doStop

    protected void doStop()
                   throws Exception

Overrides:
  `doStop` in class `AbstractLifeCycle`
Throws:
  `Exception`

#### getRequestBuffers

    public Buffers getRequestBuffers()

Specified by:
  `getRequestBuffers` in interface `HttpBuffers`

#### getResponseBuffers

    public Buffers getResponseBuffers()

Specified by:
  `getResponseBuffers` in interface `HttpBuffers`

#### setMaxBuffers

    public void setMaxBuffers(int maxBuffers)

Specified by:
  `setMaxBuffers` in interface `HttpBuffers`

#### getMaxBuffers

    public int getMaxBuffers()

Specified by:
  `getMaxBuffers` in interface `HttpBuffers`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`